aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNico Schottelius <nico@nico-notebook.schottelius.org>2022-06-02 15:26:02 +0200
committeralice <alice@ayaya.dev>2022-06-02 13:35:56 +0000
commitb6baba7a48c5fb506a82326107bfccaccf69b4cc (patch)
tree8da6ec4d5810163b03777b028d1be278a905d1aa
parentee413dec902002c2948f0420e72d3b89c975a13c (diff)
downloadaports-b6baba7a48c5fb506a82326107bfccaccf69b4cc.tar.gz
aports-b6baba7a48c5fb506a82326107bfccaccf69b4cc.tar.bz2
aports-b6baba7a48c5fb506a82326107bfccaccf69b4cc.tar.xz
main/bind: Fix incorrect path to named-checkconf in named.initd
-rw-r--r--main/bind/APKBUILD4
-rw-r--r--main/bind/named.initd6
2 files changed, 5 insertions, 5 deletions
diff --git a/main/bind/APKBUILD b/main/bind/APKBUILD
index 6d28b00cfb..3b45936b28 100644
--- a/main/bind/APKBUILD
+++ b/main/bind/APKBUILD
@@ -10,7 +10,7 @@ _ver=${pkgver%_p*}
_p=${pkgver#*_p}
_major=${pkgver%%.*}
[ "$_p" != "$pkgver" ] && _ver="$_ver-P$_p"
-pkgrel=1
+pkgrel=2
pkgdesc="The ISC DNS server"
url="https://www.isc.org/"
arch="all"
@@ -266,7 +266,7 @@ _gpgfingerprints="
sha512sums="
eeb2c376172469cd9d788a48487dec026ef28f6a82c474c546464a6caf510ff8f005c780ad85de9a096f4201f41e7db3b6ddfdb8c31c10d62b727f160d918d94 bind-9.18.3.tar.xz
-53db80f7ee4902f42fb1d0bc959242bcb6f20d95256bda99ce2c206af8b4703c7f72bb26d026c633f70451b84a37c3946b210951e34dd5d6620b181cd0183de4 named.initd
+3d1d3e954aaee5e125f6b6f3cb660b51fc91d803df4cad43c47dbe97f19789cef20b5ca2834624668f0d761a5b81ac72db8959745d6eb293ca1154a1b390a007 named.initd
127bdcc0b5079961f0951344bc3fad547450c81aee2149eac8c41a8c0c973ea0ffe3f956684c6fcb735a29c43d2ff48c153b6a71a0f15757819a72c492488ddf named.confd
d2f61d02d7829af51faf14fbe2bafe8bc90087e6b6697c6275a269ebbddcaa14a234fff5c41da793e945e8ff1de3de0858a40334e0d24289eab98df4bb721ac5 named.conf.authoritative
3aba9763cfaf0880a89fd01202f41406b465547296ce91373eb999ea7719040bc1ac4e47b0de025a8060f693d3d88774a20d09a43fa7ac6aa43989b58b5ee8fe named.conf.recursive
diff --git a/main/bind/named.initd b/main/bind/named.initd
index cad932c68d..c7a8bb1a87 100644
--- a/main/bind/named.initd
+++ b/main/bind/named.initd
@@ -13,7 +13,7 @@ depend() {
_get_pidfile() {
[ -n "${PIDFILE}" ] || PIDFILE=$(\
- /usr/sbin/named-checkconf -p ${NAMED_CONF} | grep 'pid-file' | cut -d\" -f2)
+ /usr/bin/named-checkconf -p ${NAMED_CONF} | grep 'pid-file' | cut -d\" -f2)
[ -z "${PIDFILE}" ] && PIDFILE=/var/run/named/named.pid
}
@@ -25,7 +25,7 @@ checkconfig() {
return 1
fi
- /usr/sbin/named-checkconf ${NAMED_CONF} || {
+ /usr/bin/named-checkconf ${NAMED_CONF} || {
eerror "named-checkconf failed! Please fix your config first."
return 1
}
@@ -35,7 +35,7 @@ checkconfig() {
checkzones() {
ebegin "Checking named configuration and zones"
- /usr/sbin/named-checkconf -z -j ${NAMED_CONF}
+ /usr/bin/named-checkconf -z -j ${NAMED_CONF}
eend $?
}